Subject: Re: bug#22114: 24.5; [PATCH] Allow profiler.el to display reports after stopping

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Dec 2015 20:10:16 +0200

> Date: Tue, 8 Dec 2015 18:44:41 +0100
> From: Vasilij Schneidermann <[email-masked]>
> Cc: [email-masked]
> 
> > Sorry, I don't understand this comment.  If the report can be produced
> > when the profiler is stopped, then the limitation is lifted, right?
> 
> This was specifically targeted at an earlier comment of yours:
> 
> > I don't really understand why profiler.el insists on having the
> > profiler running for providing the profile.
> 
> My theory as for the code was written this way is that its author
> noticed that accessing the log without getting an error is only possible
> while the profiler is still running, so he implemented exactly that.

But that was because of a very simple bug, not some inherent
limitation of the profiler.

> That's why I've discarded my earlier version of the patch (which pretty
> much looks like what you've proposed) and replaced it with something
> more elaborate working around this problem.

I prefer to solve the problem rather than work around it.